<?php
define('_SYSTEM_WEBNAME','Agendamiento - Administración' );
define('_SYSTEM_NAME','Administración - Sistema de Agendamiento' );
define('_SYSTEM_SUBDOMAIN','Agendamiento' );

require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Configuracion.Class.php');

$obj_cfg = new Configuracion(null);

$cfg = $obj_cfg->muestraInformacionConfiguracion(98, null, 0);
define('_Ambiente', $cfg['conf_texto']);

$cfg = $obj_cfg->muestraInformacionConfiguracion(99, null, 0);
define('_SYSTEM_OWNER', $cfg['conf_texto']);
define('_SYSTEM_SESIONID', str_replace( ' ', '', _SYSTEM_OWNER) );

$cfg = $obj_cfg->muestraInformacionConfiguracion(1, null, 0);
define('_cantidadPallet', $cfg['conf_valor']);

$cfg = $obj_cfg->muestraInformacionConfiguracion(2, null, 0);
define('_cantidadGranel', $cfg['conf_valor']);

$cfg = $obj_cfg->muestraInformacionConfiguracion(3, null, 0);
define('_cantidadNoEspecificado', $cfg['conf_valor']);

$cfg = $obj_cfg->muestraInformacionConfiguracion(100, null, 0);
define('_SYSTEM_Logo', $cfg['conf_texto']);

$cfg = $obj_cfg->muestraInformacionConfiguracion(101, null, 0);
define('_SYSTEM_URL', $cfg['conf_texto']);

$cfg = $obj_cfg->muestraInformacionConfiguracion(102, null, 0);
define('_SYSTEM_EMAIL', $cfg['conf_texto']);


$cfg = $obj_cfg->muestraInformacionConfiguracion(103, null, 0);
define('_CS1', $cfg['conf_texto']);

// Clave secreta
$cfg = $obj_cfg->muestraInformacionConfiguracion(104, null, 0);
define('_CS2', $cfg['conf_texto']);

$cfg = $obj_cfg->muestraInformacionConfiguracion(105, null, 0);
define('_Version', '1.0.0');
define('_VersionSpan', ' <span style="font-size:10px">'.$cfg['conf_texto']._Version.'</span>');

$cfg = $obj_cfg->muestraInformacionConfiguracion(106, null, 0);
define('_EstadoSistema', $cfg['conf_valor']);

$cfg = $obj_cfg->muestraInformacionConfiguracion(27, null, 0);
define('_reservaDestinatarioDenominacion', $cfg['conf_texto']);

$cfg = $obj_cfg->muestraInformacionConfiguracion(28, null, 0);
define('_reservaDestinatarioCorreo', $cfg['conf_texto']);

$cfg = $obj_cfg->muestraInformacionConfiguracion(6, null, 0);
define('_cantidadMaximaPallet', $cfg['conf_cantidad']);

$cfg = $obj_cfg->muestraInformacionConfiguracion(7, null, 0);
define('_cantidadMaximaGranel', $cfg['conf_cantidad']);

$cfg = $obj_cfg->muestraInformacionConfiguracion(8, null, 0);
define('_cantidadMaximaBloques', $cfg['conf_cantidad']);

$obj_cfg->Close();

define('_TOKEN', $_SERVER['REMOTE_ADDR'].$_SERVER['SERVER_NAME'].'!"#"$#"'.date('Ymd')._Version);

if( isset($_SESSION[_SYSTEM_SESIONID.'userId']) ) {
    define('_userID', Varios::codifica( $_SESSION[_SYSTEM_SESIONID.'userId'] ));
}

if( isset($_SESSION[_SYSTEM_SESIONID.'perfilId']) ) {
    define('_perfilID', Varios::codifica( $_SESSION[_SYSTEM_SESIONID.'perfilId'] ));
}

// function cerrar_sesion() {
//     if( _Ambiente == 'local' ) {
//         header("Location: http://"._SYSTEM_URL."/login/logout.php");
//     } else {
//        header("Location: https://"._SYSTEM_SUBDOMAIN."."._SYSTEM_URL."/login/logout.php");
//     }
// }
?>